<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Tagihan Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="content">
    <!--Dashboard Pendaftar-->
    <div class="">
        <div class="x_panel">
            <div class="x_title">
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#">Settings 1</a>
                            </li>
                            <li><a href="#">Settings 2</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="row" id="printDiv" >
<!--List Tagihan Pendaftaran-->
                    <div class="col-md-12 col-sm-12 col-xs-12" th:if="${jenisBiaya == '001'}">
                        <div class="x_panel tile fixed_height_160">
                            <div class="row">
                                <div class="col-xs-12 invoice-header">
                                    <h3>
                                        Berikut kami sampaikan tagihan biaya pendaftaran.
                                    </h3>
                                </div>
                            </div>
                                    <!-- info row -->
                            <div class="row invoice-info">
                                <div class="col-sm-7 invoice-col">
                                    <address th:each="tagihan : ${tagihan}">
                                        <table class="tabs-left" th:if="${tagihan} != null" >
                                            <tr style="font-weight: bold">
                                                <td width="130px">Nomor Tagihan</td>
                                                <td width="8px">:</td>
                                                <td  th:text="${tagihan.nomorTagihan}">201910000100010</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Nama</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.pendaftar.leads.nama}">Haffizh</td>
                                            </tr>
                                            <tr th:if="${pembayaran} == null">
                                                <td width="130px">Jenjang</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.pendaftar.leads.jenjang}">S1</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Program Studi</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.pendaftar.programStudi.nama + '  - ' + tagihan.pendaftar.konsentrasi}">Akutansi Syariah</td>
                                            </tr>
                                            <tr th:if="${pembayaran} != null">
                                                <td width="130px">Waktu Pembayaran</td>
                                                <td width="8px">:</td>
                                                <td th:text="${pembayaran.waktuPembayaran}">S1</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Nilai Tagihan</td>
                                                <td width="8px">:</td>
                                                <td style="font-weight: bold"   th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.nilai, 0, 'POINT', 2, 'COMMA') }">Rp.300.000,00</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Keterangan</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.keterangan}">Tagihan Pendaftaran a.n Haffizh Ahmad Fauzi</td>
                                            </tr>
                                            <tr th:if="${tagihan.jenisBiaya.id == '001' && tagihan.pendaftar.referal != null}">
                                                <td width="130px">Referal</td>
                                                <td width="8px">:</td>
                                                <td>
                                                    <a th:href="@{/referal/list(keterangan=${tagihan.pendaftar.referal.kodeReferal})}" th:text="${tagihan.pendaftar.referal.kodeReferal}"></a>
                                                </td>
                                            </tr>
                                        </table>
                                    </address>
                                </div>
                                <div class="col-sm-5" >
                                    <div th:if="${pembayaran} != null and ${tagihan} != null" style="width: 200px; height: 75px; border: 8px solid red; text-align: center;">
                                        <h1>Lunas</h1>
                                    </div>
                                    <div th:if="${pembayaran} == null and ${tagihan} != null" style="width: 200px; height: 60px; border: 8px solid red; text-align: center;">
                                        <h3>Belum Lunas</h3>
                                    </div>
                                </div>
                            </div>
                            <!-- /.row -->

                            <div class="row" th:if="${tagihan} != null">
                                <div class="col-sm-7">
                                    <h4>Nomor Virtual Account</h4>
                                    <small style="color: red" th:if="${pembayaran} == null">*Pilih Salah Satu</small>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <tbody>
                                                <tr th:if="${pembayaran} == null" th:each="va,row : ${virtualAccount}">
                                                    <td th:text="${(row.index + 1) + (virtualAccount.number * virtualAccount.size)}">#</td>
                                                    <td th:text="${'Virtual Account '+va.bank.namaBank}">Virtual Account CIMB Syariah</td>
                                                    <th style="width:50%" th:text="${va.nomorVa}">20191000010020167</th>
                                                </tr>
                                                <tr th:if="${pembayaran} != null and ${pembayaran.bank} == ${va.bank}" th:each="va,row : ${virtualAccount}">
                                                    <td th:text="${(row.index + 1) + (virtualAccount.number * virtualAccount.size)}">#</td>
                                                    <td th:text="${'Virtual Account '+va.bank.namaBank}" th:if="${pembayaran.bank} == ${va.bank}">Virtual Account CIMB Syariah</td>
                                                    <th style="width:50%" th:text="${va.nomorVa}" th:if="${pembayaran.bank} == ${va.bank}">20191000010020167</th>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- /.col -->
                             </div>
                            <a th:if="${pembayaran} != null and ${tagihan} != null" th:href="@{/kwitansi(id = ${pembayaran.id})}" style="margin-right: 100px;"  class="btn btn-sm btn-success">
                                Kwitansi Pembayaran
                            </a>
                        </div>
                    </div>
<!--List Tagihan Daftar Ulang-->
                    <div class="col-md-12 col-sm-12 col-xs-12" th:if="${jenisBiaya == '002'}">
                        <div class="x_panel tile fixed_height_160">
                            <div class="row">
                                <div class="col-xs-12 invoice-header">
                                    <h3>
                                        Berikut kami sampaikan tagihan biaya daftar ulang.
                                    </h3>
                                </div>
                            </div>
                            <!-- info row -->
                            <div class="row invoice-info">
                                <div class="col-sm-12 invoice-col">
                                    <div class="col-sm-9">
                                        <table class="tabs-left" th:if="${tagihan} != null">
                                            <tr style="font-weight: bold; font-size: 15px;">
                                                <td width="130px">Nomor Registrasi</td>
                                                <td width="8px">:</td>
                                                <td  th:text="${noReg}" >201910000100010</td>
                                            </tr>
                                            <tr style="font-size: 15px;">
                                                <td width="130px">Nama</td>
                                                <td width="8px">:</td>
                                                <td th:text="${nama}" >Haffizh</td>
                                            </tr>
                                            <tr style="font-size: 15px;">
                                                <td width="130px">Program Studi</td>
                                                <td width="8px">:</td>
                                                <td th:text="${prodi +' - '+ konsen}" >S1</td>
                                            </tr>
                                            <tr style="font-size: 15px;">
                                                <td width="130px">Keterangan</td>
                                                <td width="8px">:</td>
                                                <td th:text="${keterangan + ' - Uang Pangkal '}" >S1</td>
                                            </tr>
                                            <tr style="font-size: 15px;">
                                                <td width="130px">Total Tagihan</td>
                                                <td width="8px">:</td>
                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan, 0, 'POINT', 2, 'COMMA') }"></td>
                                            </tr>
                                            <tr style="font-size: 15px;">
                                                <td width="130px">Total Bayar</td>
                                                <td width="8px">:</td>
                                                <td th:if="${totalBayar == null}">Rp. 0</td>
                                                <td th:if="${totalBayar != null}" th:text="${'Rp. ' + #numbers.formatDecimal(totalBayar, 0, 'POINT', 2, 'COMMA') }"></td>
                                            </tr>
                                            <tr style="font-size: 15px;">
                                                <td width="130px">Sisa Tagihan</td>
                                                <td width="8px">:</td>
                                                <td th:if="${sisaTagihan != null}" th:text="${'Rp. ' + #numbers.formatDecimal(sisaTagihan, 0, 'POINT', 2, 'COMMA') }"></td>
                                                <td th:if="${sisaTagihan == null}">Rp. 0</td>
                                            </tr>
                                            <tr></tr>
                                        </table>
                                    </div>
                                    <div class="col-sm-3" style="alignment: right;">
                                        <tr>
                                            <td th:if="${cekTagihan == 1}" style="color: red">
                                                <a class="btn btn-sm btn-primary" th:href="@{/tagihan/editDetailTagihan(id = ${idPendaftar})}">Edit Tagihan</a>
                                            </td>
                                        </tr>
                                    </div>
                                    <br>


                                    <div class="col-sm-12">
                                        <h3>Tagihan Terkirim</h3>
                                        <address>
                                            <table class="table table-bordered table-striped table-hover" th:if="${tagihan} != null" >
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th>Nomor Tagihan</th>
                                                        <th>Nilai Tagihan</th>
                                                        <th>Tanggal Jatuh Tempo</th>
                                                        <th>Status</th>
                                                        <th>Rekening Transfer</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr th:each="tg,row: ${tagihan}">
                                                        <td th:text="${(row.index + 1) + (tagihan.number * tagihan.size)}">#</td>
                                                        <td th:text="${tg.nomorTagihan}"></td>
                                                        <td th:text="${'Rp. ' + #numbers.formatDecimal(tg.nilai, 0, 'POINT', 2, 'COMMA') }"></td>

                                                        <td th:if="${pembayaran} != null and ${tg.lunas}" th:text="${#temporals.format(tg.tanggalJatuhTempo, 'dd-MMM-yyyy')} + ', Tanggal Bayar ' + ${#temporals.format(pembayaran.waktuPembayaran, 'dd-MMM-yyyy')}"></td>

                                                        <td th:if="${!tg.lunas}" th:text="${#temporals.format(tg.tanggalJatuhTempo, 'dd-MMM-yyyy')}"></td>

                                                        <td th:if="${pembayaran} != null and ${tg.lunas}" style="color: #0e90d2">Lunas</td>
                                                        <td th:if="${!tg.lunas}" style="color: red">Belum Lunas</td>
                                                        <td th:if="${tg.lunas} and ${pembayaran} != null" >
                                                            <span>Rekening Pilihan</span>
                                                            <ul>
                                                                <li  th:text="${'Virtual Account '+ vaNama + ' - ' + vaNo}">Virtual Account CIMB Syariah</li>
                                                            </ul>
                                                        </td>

                                                        <td th:if="${!tg.lunas}">
                                                            <span>Pilih Salah Satu</span>
                                                            <ul th:each="va : ${virtualAccountBlm}">
                                                                <li th:text="${'Virtual Account '+va.bank.namaBank+ ' - ' + va.nomorVa}">Virtual Account CIMB Syariah</li>
                                                            </ul>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </address>
                                    </div>

                                    <!--Sisa Tagihan/ Angsuran-->
                                    <div class="col-sm-6">
                                        <h3>Sisa Angsuran</h3>
                                        <address>
                                            <table  class="table table-bordered table-striped table-hover"
                                                    th:if="${cicilan} != null and ${jumlahCicilan <= 4}">
                                                <thead>
                                                <tr>
                                                    <th>No</th>
                                                    <th>Nilai Tagihan</th>
                                                    <th>Keterangan</th>
                                                    <th>Tanggal Penagihan</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr th:each="cc,row: ${cicilan}">
                                                    <td th:text="${(row.index + 1) + (cicilan.number * cicilan.size)}">#</td>
                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(cc.nominal, 0, 'POINT', 2, 'COMMA') }"></td>
                                                    <td th:text="${'Cicilan Ke ' + cc.urutanCicilan}"></td>
                                                    <td th:text="${#temporals.format(cc.tanggalKirim, 'dd-MMM-yyyy')}"></td>
                                                    <td>
                                                        <button type="button" class="btn btn-xs btn-success" data-toggle="modal"
                                                                th:attr="data-target=${'#editModal'+cc.id}">
                                                            <i class="fa fa-edit"></i>&nbsp;Edit Tanggal Kirim
                                                        </button>

                                                        <div class="modal fade" th:attr="id=${'editModal' + cc.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header">
                                                                        <h2  class="modal-title" id="exampleModalLabel">Edit Tanggal Cicilan</h2>
                                                                    </div>
                                                                    <form th:action="@{/tagihan/updateTglCicilan(id=${cc.id})}" th:object="${cicilan}" method="post">
                                                                        <div class="modal-body">
                                                                            <div class="row">
                                                                                <input type="hidden" name="cc" th:value="${cc.id}">
                                                                                <div class="col-lg-12">
                                                                                    <label>Tanggal Kirim :</label>
                                                                                    <input type="date" th:value="${cc.tanggalKirim}" class="form-control" name="tanggalKirim" placeholder="Nominal Tagihan">
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                            <button type="submit" class="btn btn-primary">Save changes</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <button th:if="${cc.id == nextCicilan.id}" type="button" class="btn btn-xs btn-warning" data-toggle="modal" th:data-target="${'#kirimTagihanModal'+cc.id}">
                                                            <i class="fa fa-send"></i> Kirim tagihan
                                                        </button>

                                                        <div class="modal fade" th:id="${'kirimTagihanModal'+cc.id}" tabindex="-1" role="dialog" aria-hidden="true">
                                                            <div class="modal-dialog modal-md">
                                                                <div class="modal-content">
                                                                    <div class="modal-header">
                                                                        <h2  class="modal-title" id="exampleModalLabel">Kirim Tagihan Cicilan</h2>
                                                                    </div>
                                                                    <form th:action="@{/tagihan/kirimManual(cicilan=${cc.id})}" method="post">
                                                                        <div class="modal-body">
                                                                            <div class="row">
                                                                                <h2>Pastikan nominal tagihan sudah sesuai, <span style="color: red;">pastikan semua tagihan sudah lunas sebelum mengirim tagihan selanjutnya</span>, tagihan akan jatuh tempo pada <span th:text="${#temporals.format(jatuhTempo, 'dd MMM yyyy')}"></span></h2>
<!--                                                                                <input type="hidden" name="cc" th:value="${cc.id}">-->
<!--                                                                                <div class="col-lg-12">-->
<!--                                                                                    <label>Tanggal Kirim :</label>-->
<!--                                                                                    <input type="date" th:value="${cc.tanggalKirim}" class="form-control" name="tanggalKirim" placeholder="Nominal Tagihan">-->
<!--                                                                                </div>-->
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                            <button type="submit" class="btn btn-primary">Save changes</button>
                                                                        </div>
                                                                    </form>
<!--                                                                    <form method="post" th:action="@{}"></form>-->

                                                                </div>
                                                            </div>
                                                        </div>

                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                            <table class="table table-bordered table-striped table-hover" th:if="${cicilan} != null and ${jumlahCicilan > 4}" >
                                                <thead>
                                                <tr>
                                                    <th>No</th>
                                                    <th>Nilai Tagihan</th>
                                                    <th>Keterangan</th>
                                                    <th>Tanggal Penagihan</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td>1</td>
                                                    <td style="font-weight: bold;" th:text="${'Rp. ' + #numbers.formatDecimal(nilaiCicilan, 0, 'POINT', 2, 'COMMA') }"></td>
                                                    <td>Sisa Cicilan Sebanyak 47x</td>
                                                    <td>Cicilan berikutnya dikirim ketika sudah mendapatkan NIM (dibulan september 2022)</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </address>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</section>
</body>
<th:block layout:fragment="script">
    <script>
        document.getElementById("doPrint").addEventListener("click", function() {
            var printContents = document.getElementById('printDiv').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        });
    </script>
</th:block>

</html>